Bug 144653 - hosts.equiv syntax in manpage won't work
Summary: hosts.equiv syntax in manpage won't work
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: man-pages   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard: RHEL3U7NAK
Keywords:
Depends On:
Blocks: 187539
TreeView+ depends on / blocked
 
Reported: 2005-01-10 11:43 UTC by Daniel van Eeden
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0424
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 19:55:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0424 normal SHIPPED_LIVE man-pages bug fix update 2006-07-19 18:25:00 UTC

Description Daniel van Eeden 2005-01-10 11:43:49 UTC
Description of problem:
The manpages of hosts.equiv states that a "+" prepended to a hostname
would allow access. But the example in
/usr/share/doc/pam-0.75/README.pam_rhosts only uses hostnames. The
rsh-server package uses pam_rhosts.
It does work if there is only a "+" in /etc/hosts.equiv but not if a
hostname is appended to it. (it works w/o the +)
I'd use the promiscouos option in /etc/pam.d/rsh

Possible fix #1:
Change the manpage of hosts.equiv (just add a notice in the bugs section)

Possible fix #2:
Change pam_rhosts to allow the "+ server01.example.com" syntax.

Comment 13 Red Hat Bugzilla 2006-05-03 19:55:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0424.html



Note You need to log in before you can comment on or make changes to this bug.